noinst_PROGRAMS = Button.class ControlEvent.class KeyEvent.class PenEvent.class \
	TabBar.class WabaPref.class Check.class Edit.class Label.class \
	Radio.class Timer.class Welcome.class Container.class Event.class \
	MainWindow.class ScrollPane.class ToolBar.class Window.class \
	Control.class IKeys.class PalmOsPref.class Tab.class WabaAbout.class

Button_class_SOURCES = Button.java
ControlEvent_class_SOURCES = ControlEvent.java
KeyEvent_class_SOURCES = KeyEvent.java
PenEvent_class_SOURCES = PenEvent.java
TabBar_class_SOURCES = TabBar.java
WabaPref_class_SOURCES = WabaPref.java
Check_class_SOURCES = Check.java
Edit_class_SOURCES = Edit.java
Label_class_SOURCES = Label.java
Radio_class_SOURCES = Radio.java
Timer_class_SOURCES = Timer.java
Welcome_class_SOURCES = Welcome.java
Container_class_SOURCES = Container.java
Event_class_SOURCES = Event.java
MainWindow_class_SOURCES = MainWindow.java
ScrollPane_class_SOURCES = ScrollPane.java
ToolBar_class_SOURCES = ToolBar.java
Window_class_SOURCES = Window.java
Control_class_SOURCES = Control.java
IKeys_class_SOURCES = IKeys.java
PalmOsPref_class_SOURCES = PalmOsPref.java
Tab_class_SOURCES = Tab.java
WabaAbout_class_SOURCES = WabaAbout.java

Button.class: Button.java ControlEvent.java KeyEvent.java PenEvent.java \
TabBar.java WabaPref.java Check.java Edit.java Label.java \
Radio.java Timer.java Welcome.java Container.java Event.java \
MainWindow.java ScrollPane.java ToolBar.java Window.java \
Control.java IKeys.java PalmOsPref.java Tab.java WabaAbout.java
	CLASSPATH=@CLASSPATH@ @JAVAC@ $(srcdir)/*.java
	touch ../../changed.txt

uidir=${prefix}/classes/waba/ui
install-exec-am:
	$(mkinstalldirs) $(DESTDIR)$(uidir)
	@list='$(noinst_PROGRAMS)'; for p in $$list; do \
	    if test -f $$p; then \
	        $(INSTALL_DATA) $$p $(DESTDIR)$(uidir)/$$p; \
	    else :; fi; \
	done
